CPluginSearchpath Class Reference

`#include <mia/core/searchpath.hh>`

## Public Member Functions

void | add (const boost::filesystem::path &path) __attribute__((deprecated))
void | add (const char *path)
| CPluginSearchpath (bool no_subpath=false)
| CPluginSearchpath (const CPluginSearchpath &other)
std::vector< PPluginModule > | find_modules (const std::string &data, const std::string &type) const
CPluginSearchpath & | operator= (const CPluginSearchpath &other)
| ~CPluginSearchpath ()

## Detailed Description

Definition at line 34 of file searchpath.hh.

## Constructor & Destructor Documentation

## CPluginSearchpath() [1/2]

CPluginSearchpath::CPluginSearchpath | ( | bool | no_subpath = false | ) |

Referenced by CPluginSearchpath(), and operator=().

## CPluginSearchpath() [2/2]

CPluginSearchpath::CPluginSearchpath | ( | const CPluginSearchpath & | other | ) |

References CPluginSearchpath().

## ~CPluginSearchpath()

CPluginSearchpath::~CPluginSearchpath | ( |  | ) |

## Member Function Documentation

## add() [1/2]

void CPluginSearchpath::add | ( | const boost::filesystem::path & | path | ) |

## add() [2/2]

void CPluginSearchpath::add | ( | const char * | path | ) |

## find_modules()

std::vector< PPluginModule > CPluginSearchpath::find_modules | ( | const std::string & | data,
|  | const std::string & | type ) const

## operator=()

CPluginSearchpath & CPluginSearchpath::operator= | ( | const CPluginSearchpath & | other | ) |

References CPluginSearchpath().

The documentation for this class was generated from the following file:

- searchpath.hh